태터데스크 관리자

도움말
닫기
적용하기   첫페이지 만들기

태터데스크 메시지

저장하였습니다.

2.1버전이라 지난 문제로 보기 어려운 것이, 아직도 2.1버전 사용자가 2.2로 업그레이드한 사용자만큼 되는 걸로 알고 있습니다.

개발자분들 삽질을 줄이기 위해 문제점 공유합니다.

갤럭시S OS 2.1버전의 커널 버그로 cache 손상되는 경우가 있고 같은 이유로 JIT compiler가 오동작하는 문제가 있습니다.
국내뿐 아니라 해외 출시된 갤럭시S 시리즈도 동일한 문제가 있고,
Skype, Mozillar Firefox(JIT compiler를 disable 시켜서 현재는 버그를 회피한 상태), 등이 이로 인해 실행이 안되거나 불안정하게 동작합니다.

삼성은 2.2로 업그레이드해서 해결하라는 정책이라서 수십만명에 달하는 기존 2.1 사용자들이 업그레이드하기를 기다리거나 개발사 입장에서는 그런 사용자들은 포기해야 합니다.

Kernel bug of Galaxy S with Android 2.1

Warning: Samsung shipped a broken kernel with Android 2.1, which is not able to support JIT compilation. If you possess a Galaxy-class device with Android 2.1, you will get unexpected results, this is caused by a kernel bug that breaks cache coherency, rendering any engine doing JIT compilation useless.
출처:http://mono-android.net/Releases/Previews/Preview_5


Fennec's JIT compiler is disabled on Samsung Galaxy S phones running Android 2.1 because of a bug in their 2.1 kernel, making Fennec slower than on other devices. Galaxy S phones already running Android 2.2 "Froyo" are not affected. (bug 601222, bug 603624).
출처:https://wiki.mozilla.org/Mobile/Platforms/Android

SKYPE는 안드로이드 마켓의 설명란에 안내문구를 삽입했네요.
"- 삼성 갤럭시 S: Android v2.2 필요"
출처: https://market.android.com/details?id=com.skype.raider

Posted by VIJAYA

댓글을 달아 주세요